### Method

# GLib MainContext remove_poll

#### Declaration

    void
    g_main_context_remove_poll (
      GMainContext* context,
      GPollFD* fd
    )

#### Description

Removes file descriptor from the set of file descriptors to be polled for a particular context.

#### Parameters

`fd`

  Type: `GPollFD`

  A `GPollFD` descriptor previously added with `g_main_context_add_poll()`

  The data is owned by the caller of the method.